

/* System constants */
#define ESF_EMPTY      -1  /* name of empty array */

#define ESF_OK          0  /* operation succeeded */
#define ESF_LOOKUP_NONE 1  /* specified array has no code */
#define ESF_ERR_ENCODE  2  /* specified array has no code */

typedef int esf_array;

struct esf_result {
  int esf_return_status;
  int esf_return_result;
};

typedef struct esf_result *esf_result_ptr;

extern void print_rc (esf_result_ptr p);
void esfp_init (int);
extern void esfp_dump (int);

extern esf_result_ptr esfp_update (int,int,int);
extern esf_result_ptr esfp_lookup (int,int);
